CRM V4

Pipelines

GET
/v1/crm-v4/pipelines

Retrieve CRM V4 pipeline stages — one row per board/column pair, ordered by board and stage position.

Filters:

  • organizationId (required)
  • integrationId (optional)
  • boardId, boardType (LEAD, OPPORTUNITY, EXPANSION, ACQUISITION)

Authorization

ClientIdAuthClientSecretAuth
headerx-client-id<token>

Client ID

headerx-client-secret<token>

Client secret

Query Parameters

organizationId*string

Organization identifier (required)

integrationId?string

Integration identifier (optional)

boardId?string

Board (pipeline) identifier (optional)

boardType?string

Board type: LEAD, OPPORTUNITY, EXPANSION or ACQUISITION (optional)

page?integer

Page number (default: 1)

Range1 <= value
Default1
limit?integer

Results per page (default: 500, max: 5000)

Range1 <= value <= 5000
Default500

Response Body

Successful response

application/json
  1. response
data?array<>
meta?
curl -X GET "https://example.com/v1/crm-v4/pipelines?organizationId=organization_123"
{  "data": [    {      "board_id": "string",      "board_title": "string",      "board_type": "string",      "board_description": "string",      "column_id": "string",      "column_title": "string",      "column_order": 0,      "phase_type": "string",      "ideal_card_life_time": 0,      "next_board_column_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "tenant_id": "string",      "integration_id": "string",      "organization_id": "string",      "user_id": "string",      "document_id": "string",      "inserted_at": "2019-08-24T14:15:22Z",      "integration_name": "string"    }  ],  "meta": {    "page": 0,    "limit": 0,    "hasNextPage": true,    "hasPreviousPage": true  }}